#!/bin/sh
#########################################################################
#  This script creates a tar file of just the VSDB executable files.	#
#  The tar file is placed in $HOME/vsdb_delivery/exe/.			#
#									#
# Log:									#
# K. Brill/HPC      20070109						#
#########################################################################
if [ $# -eq 0 ]; then
    cat << EOF

	Enter the \$DDAPP directory name on the command line.

        This script creates a tar file of the VSDB executable files
        and places them in \$HOME/vsdb_delivery/exe/.

        The file is zipped.
EOF
    exit
fi
cd $DDAPP/$1
if [ $? -ne 0 ]; then
    echo Directory $DDAPP/$1 not found.
    exit 1
fi
if [ ! -d $HOME/vsdb_delivery/exe ]; then
    echo $HOME/vsdb_delivery/exe does not exist.
    exit 1
fi

dirnam=$1
filnam=$HOME/vsdb_delivery/exe/vsdb_${dirnam}.tar

/bin/rm -f ${filnam}*

tar cvf $filnam *vsdb

gzip $filnam
