#!/bin/sh
#########################################################################
#  This script tests the time to generate a list of files for search.	#
#									#
#  All of the paths set in environmental variable VSDB_DATA are		#
#  searched for each file required by the range of dates found in the	#
#  control file.  Date ranges are generated by FORTRAN program named	#
#  mkymrg_vsdb.								#
#									#
#  The output from this script is a file called vsdb_files_found	#
#  containing a list of complete paths to all files required by the	#
#  search conditions set in the control file.				#
#									#
#  The environmental variable VSDB_DATA contains the search paths	#
#  separated by : without any spaces.					#
#									#
#  The environmental variable VSDB_TEMP gives the location of a		#
#  temporary writeable disk to use as a workspace if the archived	#
#  files are compressed.						#
#									#
#  The environmental variable VSDB_DAY1 gives the lower bound for	#
#  data searches of indefinite beginning when no .first_date file	#
#  exists under $VSDB_DATA.  VSDB_DAY1 is of the form YYYYMMDDHHNN.	#
#									#
#  Log:									#
#  K. Brill/HPC		 3/03						#
#########################################################################

/bin/rm vsdb_files_found
. $VSDB_SCRIPTS/set_vsdb_data2.sh

echo " Starting bld_file_names: " `date`
$VSDB_SCRIPTS/bld_file_names trace.ctl
echo " Ending bld_file_names: " `date`

mv vsdb_files_found vsdb_files_found.bld_file_names

echo " Starting bld_flnms.sh: " `date`
$VSDB_SCRIPTS/bld_flnms.sh trace.ctl
echo " Ending bld_flnms.sh: " `date`

mv vsdb_files_found vsdb_files_found.bld_flnms.sh
